## $Id: viewlets.py 16508 2021-06-16 11:54:39Z henrik $
##
## Copyright (C) 2015 Uli Fouquet & Henrik Bettermann
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
##

import grok
from waeup.kofa.interfaces import IKofaUtils, IKofaObject
from waeup.kofa.browser.viewlets import (
    InstTypesSource, SourcesLeft, SourcesRight)
from kofacustom.nigeria.interfaces import MessageFactory as _

grok.context(IKofaObject) # Make IKofaObject the default context

class LGASSource(InstTypesSource):
    """Available lgas for the sources overview page.
    """
    grok.order(7)
    name = 'LGAS'
    source_name = 'lgas'
    title = _('LGAs')

class HigherQualSource(InstTypesSource):
    """Available higher qualifications for the sources overview page.
    """
    grok.order(7)
    grok.viewletmanager(SourcesRight)
    column = 'right'
    name = 'HighQual'
    source_name = 'high_qual'
    title = _('Higher Qualification')

class HigherGradeSource(InstTypesSource):
    """Available higher qualification grades for the sources overview page.
    """
    grok.order(8)
    grok.viewletmanager(SourcesRight)
    column = 'right'
    name = 'HighGrade'
    source_name = 'high_grade'
    title = _('Higher Qualification Grades')

class ExamTypesSource(InstTypesSource):
    """Available  higher qualification exam types for the sources overview page.
    """
    grok.order(9)
    grok.viewletmanager(SourcesRight)
    column = 'right'
    name = 'ExamTypes'
    source_name = 'exam_types'
    title = _('Higher Qualification Examination Types')

class GradingSysSource(InstTypesSource):
    """Available grading systems for the sources overview page.
    """
    grok.order(10)
    name = 'GradingSystems'
    source_name = 'grading_sys'
    title = _('Nigerian Course Grading Systems')